For the complete documentation index, see llms.txt. This page is also available as Markdown.

GraphicsProcessingUnitCardsApi

All URIs are relative to https://api.ionos.com/cloudapi/v6

Method
HTTP request
Description

Get /datacenters/{datacenterId}/servers/{serverId}/gpus/{gpuId}

Retrieve GPUs by ID

Get /datacenters/{datacenterId}/servers/{serverId}/gpus

List GPUs

DatacentersServersGPUsFindById

var result Gpu = DatacentersServersGPUsFindById(ctx, datacenterId, serverId, gpuId)
                      .Pretty(pretty)
                      .Depth(depth)
                      .XContractNumber(xContractNumber)
                      .Execute()

Retrieve GPUs by ID

Example

package main

import (
    "context"
    "fmt"
    "os"

    compute "github.com/ionos-cloud/sdk-go-bundle/compute"
    "github.com/ionos-cloud/sdk-go-bundle/shared"
)

func main() {
    datacenterId := TODO // string | The unique ID of the data center.
    serverId := TODO // string | The unique ID of the server.
    gpuId := TODO // string | The unique ID of the Graphics Processing Unit (GPU) card.
    pretty := true // bool | Controls whether the response is pretty-printed (with indentations and new lines). (optional) (default to true)
    depth := int32(56) // int32 | Controls the detail depth of the response objects.  GET /datacenters/[ID]   - depth=0: Only direct properties are included; children (servers and other elements) are not included.   - depth=1: Direct properties and children references are included.   - depth=2: Direct properties and children properties are included.   - depth=3: Direct properties and children properties and children's children are included.   - depth=... and so on (optional) (default to 0)
    xContractNumber := int32(56) // int32 | Users with multiple contracts must provide the contract number, for which all API requests are to be executed. (optional)

    configuration := shared.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := compute.NewAPIClient(configuration)
    resource, resp, err := apiClient.GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById(context.Background(), datacenterId, serverId, gpuId).Pretty(pretty).Depth(depth).XContractNumber(xContractNumber).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `DatacentersServersGPUsFindById`: Gpu
    fmt.Fprintf(os.Stdout, "Response from `GraphicsProcessingUnitCardsApi.DatacentersServersGPUsFindById`: %v\n", resource)
}

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

datacenterId

The unique ID of the data center.

serverId

The unique ID of the server.

gpuId

The unique ID of the Graphics Processing Unit (GPU) card.

Other Parameters

Other parameters are passed through a pointer to an apiDatacentersServersGPUsFindByIdRequest struct via the builder pattern

Name
Type
Description
Notes

pretty

bool

Controls whether the response is pretty-printed (with indentations and new lines).

[default to true]

depth

int32

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

[default to 0]

xContractNumber

int32

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

DatacentersServersGPUsGet

List GPUs

Example

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

datacenterId

The unique ID of the data center.

serverId

The unique ID of the server.

Other Parameters

Other parameters are passed through a pointer to an apiDatacentersServersGPUsGetRequest struct via the builder pattern

Name
Type
Description
Notes

pretty

bool

Controls whether the response is pretty-printed (with indentations and new lines).

[default to true]

depth

int32

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

[default to 0]

xContractNumber

int32

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

Last updated

Was this helpful?